Subject: Re: [PATCH 2/2] format-patch: introduce format.defaultTo

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Jan 2014 13:37:07 -0800

John Szakmeister <[email-masked]> writes:

> Am I missing something?  If there is something other than @{u} to
> represent this latter concept, I think `git push` should default to
> that instead.  But, at least with my current knowledge, that doesn't
> exist--without explicitly saying so--or treating @{u} as that branch.
> If there's a better way to do this, I'd love to hear it!

I see Ram who worked on landing the remote.pushdefault feature is
CC'ed; this work was started in early April 2013 and your config and
workflow may not have been adjusted to it.